Bug 205392 - [maintainer update] www/wordpress: update to 4.4
Summary: [maintainer update] www/wordpress: update to 4.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-18 06:10 UTC by ychsiao
Modified: 2015-12-28 09:55 UTC (History)
3 users (show)

See Also:


Attachments
patch (1.05 KB, text/plain)
2015-12-18 06:10 UTC, ychsiao
no flags Details
patch_v2 (1.79 KB, patch)
2015-12-22 03:30 UTC, ychsiao
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ychsiao 2015-12-18 06:10:36 UTC
Created attachment 164337 [details]
patch

also drop maintainer, thanks!
Comment 1 Raivo Hool 2015-12-18 09:10:42 UTC
Since PHP 7.0 has dropped the mysql extension and Wordpress has been using the mysqli library since 3.9 (for PHP versions 5.5+ - source https://make.wordpress.org/core/2014/04/07/mysql-in-wordpress-3-9/) , I think it would make sense to add an 'i' to the Makefile and get rid of an unnecessary and potentially broken dependency on php5*/mysql:

USE_PHP=        curl gd hash mysqli pcre tokenizer xml zip zlib

PHP 5.6 has been the default for some time now, so I think it's for the better. It could be conditional, of course.
Comment 2 ychsiao 2015-12-22 03:30:21 UTC
Created attachment 164478 [details]
patch_v2

add mysqli  & ftp
Comment 3 ychsiao 2015-12-22 03:31:23 UTC
also try to fix this issue
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=205400
Comment 4 Martin Wilke freebsd_committer 2015-12-24 15:35:01 UTC
Just double check with you, you want to drop the maintainer ship?
Comment 5 ychsiao 2015-12-25 08:14:02 UTC
(In reply to Martin Wilke from comment #4)
yes :)
Comment 6 commit-hook freebsd_committer 2015-12-28 09:55:54 UTC
A commit references this bug:

Author: miwi
Date: Mon Dec 28 09:55:18 UTC 2015
New revision: 404620
URL: https://svnweb.freebsd.org/changeset/ports/404620

Log:
  - Update to 4.4
  - Add/Update missing deps
  - Take over maintainership

  PR:		205392
  Submitted by:	ychsiao@ychsiao.org (previous maintainer)

Changes:
  head/www/wordpress/Makefile
  head/www/wordpress/distinfo
  head/www/wordpress/pkg-message